//OwlCarousel燈箱

//左右切換按鈕加上aria-label
function accessibility_left_right(prev, next) {
  // 獲取左右切換按鈕元素        
  var prevButton = $(prev);
  var nextButton = $(next);
  // 添加 aria-label 屬性
  prevButton.attr('aria-label', 'Previous').removeAttr("role");
  nextButton.attr('aria-label', 'Next').removeAttr("role");  
}

//圓點切換加上aria-label
function accessibility_dottoggle(dot) {
  // 獲取所有的原點切換按鈕元素
  var dotButtons = $(dot);
  // 使用 each 方法為每個按鈕添加 aria-label 屬性
  dotButtons.each(function(index) {
    // 獲取按鈕的序號，從 1 開始
    var buttonNumber = index + 1;
    // 設置 aria-label 屬性為對應的值
    $(this).attr('aria-label', 'switch_box_' + buttonNumber);
  });
}